<template>
  <div>
    <el-form ref="searchForm" :model="searchForm" inline>
      <el-row>
        <el-form-item label="制度名" prop="ruleName">
            <el-input v-model="searchForm.ruleName" placeholder="请输入制度名" clearable  />
          </el-form-item>
        <el-form-item label-width="0">
          <el-button type="primary" icon="el-icon-search" @click="$emit('search')">搜索</el-button>
          <el-button icon="el-icon-refresh" @click="resetQuery">重置</el-button>
        </el-form-item>
      </el-row>
    </el-form>
  </div>
</template>
<script>
import DMRadio from '@/components/DMRadio';
export default {
  components: {
    DMRadio
  },
  data() {
    return {
      searchForm: {},
      dateRange: []
    }

  },
  created() {

  },
  methods: {
    resetQuery() {
      this.searchForm = {
        ruleName: undefined
      };
      this.dateRange = []
      this.$emit('search')
    },
    pickDateChange() {
      this.addDateRange(this.searchForm, this.dateRange)
    }
  },
}
</script>

